cURL
curl --request GET \
--url https://api.teamfollowup.ai/api/power-dialer/cadences \
--header 'Authorization: Bearer YOUR_API_KEY'import requests
url = "https://api.teamfollowup.ai/api/power-dialer/cadences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teamfollowup.ai/api/power-dialer/cadences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"_id": "cadence_123",
"cadenceName": "Three-touch follow-up",
"isDefault": false,
"locationIds": [
"loc_9f7a123"
],
"campaignIds": [
"campaign_speed_to_lead_123"
],
"activeDays": [
1,
2,
3,
4,
5
],
"active": true,
"schedule": [
{
"day": 1,
"hour": 9,
"minute": 30,
"period": "AM",
"doubleDial": true,
"call": {
"enabled": true
},
"additionalActions": [
{
"type": "sms",
"body": "Hi Alex, are you still interested in booking a consultation?",
"delaySeconds": 0,
"jitterSeconds": 60
}
]
}
],
"createdAt": "2026-07-08T16:10:00.000Z",
"updatedAt": "2026-07-08T16:30:00.000Z"
}
]
}{
"success": false,
"error": "cadenceStep query parameter is required"
}{
"success": false,
"error": "Unauthorized"
}{
"success": false,
"error": "You do not have access to this project"
}{
"success": false,
"error": "TooManyRequests"
}{
"success": false,
"error": "Unexpected server error."
}List campaign schedules
List Power Dialer schedules visible to the caller. Optionally restrict the result to one accessible project. Customer roles: agency_admin, project_user.
Required API key scope: power_dialer:read.
GET
/
api
/
power-dialer
/
cadences
cURL
⌘I
